Package org.codehaus.janino

# Interface Visitor.ModuleDirectiveVisitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object returned by the `visit*()` methods
  `EX` - The exception that the `visit*()` methods may throw

Enclosing class:
  `Visitor`

public static interface Visitor.ModuleDirectiveVisitor<R,EX extends Throwable>
The visitor for the different kinds of `Java.ModuleDirective`s.

## Method Summary

Modifier and Type
Method
Description
`R`
`visitExportsModuleDirective(Java.ExportsModuleDirective emd)`
`R`
`visitOpensModuleDirective(Java.OpensModuleDirective omd)`
`R`
`visitProvidesModuleDirective(Java.ProvidesModuleDirective pmd)`
`R`
`visitRequiresModuleDirective(Java.RequiresModuleDirective rmd)`
`R`
`visitUsesModuleDirective(Java.UsesModuleDirective umd)`

## Method Details

### visitRequiresModuleDirective

@Nullable R visitRequiresModuleDirective(Java.RequiresModuleDirective rmd) throws EX

Throws:
  `EX`

### visitExportsModuleDirective

@Nullable R visitExportsModuleDirective(Java.ExportsModuleDirective emd) throws EX

Throws:
  `EX`

### visitOpensModuleDirective

@Nullable R visitOpensModuleDirective(Java.OpensModuleDirective omd) throws EX

Throws:
  `EX`

### visitUsesModuleDirective

@Nullable R visitUsesModuleDirective(Java.UsesModuleDirective umd) throws EX

Throws:
  `EX`

### visitProvidesModuleDirective

@Nullable R visitProvidesModuleDirective(Java.ProvidesModuleDirective pmd) throws EX

Throws:
  `EX`